PROC CKFLD
{IF YOU WANT TO SELECT ONLY MORE RECENTLY COLLECTED DATA, PLEASE USE THE
SKIP OPTION BELOW IN LEVEL 1 PREPROC.  IF YOU HAVE USED THE SKIP OPTION
IN THE PAST AND WANT ALL DATA, COMMENT OUT THE SKIP CASE LOGIC}


  function agemth(xhwbd,xhwbm,xhwby,xhwmd,xhwmm,xhwmy);
    leapday = (xhwby % 4 = 0);
    x = 1;
    xdays1 = xhwbd;
    while x < xhwbm do
      box x           => y;
         1,3,5,7,8,10 => 31;
                    2 => 28+leapday;
             4,6,9,11 => 30;
      endbox;
      xdays1 = xdays1 + y;
      x = x + 1
    enddo;
    leapday = (xhwmy % 4 = 0);
    x = 1;
    xdays2 = xhwmd;
    while x < xhwmm do
      box x           => y;
         1,3,5,7,8,10 => 31;
                    2 => 28+leapday;
             4,6,9,11 => 30;
      endbox;
      xdays2 = xdays2 + y;
      x = x + 1
    enddo;
    x = xhwby;
    while x < xhwmy do
      xdays2 = xdays2 + 365 + (x % 4 = 0);
      x = x + 1
    enddo;
    agemth = int(((xdays2 - xdays1)/30.4375)*100+0.5)/100;
  end;

table float(1) fc1 team+total quesres
exclude(specval,percents,totals)
title("FC-1: Percent of sampled households by result of household, women and",
      "      children interviewed, by interviewer team");

table float(1) fc2 team+total age1+totnum+ratio
exclude(specval,percents,totals)
title("FC-2: Percent distribution of women (12-18 years) listed in the",
      "      household schedule by single years of age and age ratio at 15 years",
      "      by iterviewer team");

table float(1) fc3 team+total age2+totnum+ratio
exclude(specval,percents,totals)
title("FC-3: Percent distribution of women (46-52 years) listed in the",
      "      household schedule by single years of age and ratio at 49 years,",
      "      by interviewer team");

table float(1) fc4 team+total age3+totnum+ratio
exclude(specval,percents,totals)
title("FC-4: Percent distribution of children (0-8 years) listed in the",
      "      household schedule by single years of age and age ratio at 4 years",
      "      by iterviewer team");

table float(1) fc5N team+total year1+ratio
exclude(specval,percents,totals)
title("FC-5: Number of women with a birth in the last year and births by time",
      "      since birth by interviewer team")

table float(1) fc5P team+total year1+ratio
exclude(specval,percents,totals)
title("FC-5: Percent of women with a birth in the last year and births by time",
      "      since birth by interviewer team")

table float(2) fc6 team+total colt6
exclude({colzero,rowzero,}specval,percents,totals)
{+US}
title("FC-6: Percentage of children under 5 interviewed who have been weighted and measured",
      "      by interviewer team");
{US+}
PROC MICSHH
preproc
level 0

totnum  = 1;
total   = 0;
ratio   = notappl;

level 1
  BOX HI3M  : HI3D   => SKIPIT;  {  >= BEGINNING OF FLDWORK  :       ALL DATA}


{     >= 4  :  10    =>  0;             DATA FROM 10/4 FORWARD
            :        =>  1;             EARLIER DATA SKIPPED}

            :        =>  0;             {ALL DATA}
  ENDBOX;

  if SKIPIT THEN SKIP CASE ENDIF;

  {develop team box from HI1 (cluster number) or HI4 (interviewer number)}
  box HI1 => team;
          => 15;
  endbox;

  { table FC-1 }
  quesres=1;
  t = xtab(fc1);
  if HI10=1 then
    quesres=0;
    t=xtab(fc1);
  endif;

  if HI10 <> 1 then skip case endif;

  { tables FC-2 - FC-4 }
  i = 1;
  while i <= soccurs(MODHL) do
    if HL3(i) = 2 & !special(HL4(i)) & HL4(i) >= 12 & HL4(i) <= 18 then
       age1 = HL4(i) - 12;
       t = xtab(fc2);
    endif;
    if HL3(i) = 2 & !special(HL4(i)) & HL4(i) >= 46 & HL4(i) <= 52 then
       age2 = HL4(i) - 46;
       t = xtab(fc3);
    endif;
    if !special(HL4(i)) & HL4(i) >= 0 & HL4(i) <= 8  then
       age3 = HL4(i);
       t = xtab(fc4);
    endif;
    if HL5(i) <> 0 then
      if loadcase(MICSWM,HI1,HI2,HL1(i)) then
         quesres=2;
         t=xtab(fc1);
         quesres=3;
         t=xtab(fc1);
         year1=1; t=xtab(fc5n);  {all women column}
         if CM11X="Y" then      {birth in last year}
           year1=0; t=xtab(fc5n);
         endif;
         birthm = cm11M; if cm11M >= 96 then birthm = missing endif;
         birthy = cm11Y; if cm11Y >= 9996 then birthy = missing endif;
         birthd = cm11D;
         if birthd >= 96 then
            if birthm = HI3M & birthy = HI3Y then
               birthd=1;
            else birthd=15;
            endif;
         endif;
         age = agemth(birthd,birthm,birthy,HI3D,HI3M,HI3Y);
         if age >= 9 & age <= 15 then
              year1=int(age)-7;
              t=xtab(fc5n);
         endif;
       else
         quesres=3;
         t=xtab(fc1);
       endif;
    endif;
    if HL7(i) <> 0 then
      if loadcase(MICSCH,HI1,HI2,HL1(i)) then
         quesres=4;
         t=xtab(fc1);
         quesres=5;
         t=xtab(fc1);
         colt6=1;
         t=xtab(fc6);
         if AN4=1 then
           colt6=0;
           t=xtab(fc6);
         endif;
       else
         quesres=5;
         t=xtab(fc1);
      endif;
    endif;
    i = i + 1;
  enddo;

postproc
level 0

  { FC-1 Processing }
  fc1[*,0]=100 * fc1[*,0]/fc1[*,1];
  fc1[*,2]=100 * fc1[*,2]/fc1[*,3];
  fc1[*,4]=100 * fc1[*,4]/fc1[*,5];

  { FC-2 Processing }
  jmax = tblcol(fc2, 1, age1 = 6);
  fc2[*,jmax+3] = 100*fc2[*,3] / (0.5 * (fc2[*,2]+fc2[*,4]));
  j = 0;
  while j <= jmax do
    fc2[*,j] = fc2[*,j] * 100 / fc2[*,jmax+2];
    j = j + 1;
  enddo;
  fc2[*,jmax+1] = tblsum(column fc2[*,0:jmax]);

  { FC-3 Processing }
  jmax = tblcol(fc3, 1, age2 = 6);
  fc3[*,jmax+3] = 100*fc3[*,3] / (0.5 * (fc3[*,2]+fc3[*,4]));
  j = 0;
  while j <= jmax do
    fc3[*,j] = fc3[*,j] * 100 / fc3[*,jmax+2];
    j = j + 1;
  enddo;
  fc3[*,jmax+1] = tblsum(column fc3[*,0:jmax]);

  { FC-4 Processing }
  jmax = tblcol(fc4, 1, age3 = 8);
  fc4[*,jmax+3] = 100*fc4[*,4] / (0.5 * (fc4[*,3]+fc4[*,5]));
  j = 0;
  while j <= jmax do
    fc4[*,j] = fc4[*,j] * 100 / fc4[*,jmax+2];
    j = j + 1;
  enddo;
  fc4[*,jmax+1] = tblsum(column fc4[*,0:jmax]);

  { FC-5 Processing, P-percentages, N-numbers }
  jmax = tblcol(fc5n, 1, year1 = 8 );
  jtot=jmax+1;
  fc5n[*,jtot]=tblsum(column fc5n[*,2:8]);
  fc5p = fc5n;
  j = 2;
  while j <= jmax do
    fc5p[*,j]  = 100 * fc5p[*,j] / fc5p[*,jtot];
    j = j + 1;
  enddo;
  fc5p[*,0]=100 * fc5p[*,0]/fc5p[*,1];

  { FC-6 Processing }
  fc6[*,0]=100 * fc6[*,0]/fc6[*,1];
