@echo off
rem Set drive letters...
set MAIN=C:
rem set raw data directory
set G1=%MAIN%\MICS\ISSA\raw
rem set final data directory
set G2=%MAIN%\MICS\ISSA\final
rem set back-up data directory
set G3=%MAIN%\MICS\ISSA\backup
rem set program root directory
set G5=%MAIN%\MICS\ISSA
rem set diskette drive letter
set G6=A:

cd %G5%\super

rem Country name may be used as a parameter.  If it is, it will be the 3rd title in the menu.

CLS

setcheck set s *
if !%s%==! cls
if !%s%==! echo You must select a cluster number!  Process stopped.
if !%s%==! pause
if !%s%==! goto END
cls

:MENU
cls
set goback=MENU
set title1=MICS DATA PROCESSING SYSTEM
set title2=SUPERVISOR'S MENU
if !%1==! goto NOCNTRY
set title3=%1
:NOCNTRY
set options1=1. Check Data Structure
set options2=2. Download Complete Data File and Verify
set options3=3. Save Raw Data Backup
set options4=separator
set options5=4. Run Secondary Edits
set options6=5. Modify Data
set options7=6. Save Final Data Backup
set options8=separator
set options9=7. Select New Cluster
set options10=separator
set options11=8. Quit
set clear=No
%G5%\options

if %options%==1 goto STRUCT
if %options%==2 goto DNLOADV
if %options%==3 goto BACKRAW
if %options%==4 goto EDITS
if %options%==5 goto MODIFY
if %options%==6 goto BACKUP
if %options%==7 goto NEW
if %options%==8 goto END
if %options%==0 goto END

rem Just in case...
goto END

:STRUCT
rem Check structure of questionnaires
rem ---------------------------------
if not exist %G6%\hh%s%M.dat goto error1
if not exist %G6%\wm%s%M.dat goto error2
if not exist %G6%\ch%s%M.dat goto error3
if not exist %G6%\wm%s%M.idx goto error5
if not exist %G6%\ch%s%M.idx goto error6
exbatch check MICSHH=%G6%\HH%s%M.DAT MICSwm=%G6%\wm%s%M.DAT MICScH=%G6%\cH%s%M.DAT
copy check.wrt+check.lst chk.lst
edit chk.lst
goto %goback%

rem Download verified cluster data files
rem ------------------------------------
:DNLOADV
echo Please insert the diskette with MAIN data for cluster %s%
pause
DEL %G1%\??%s%M.*
if not exist %G6%\hh%s%M.dat goto error1
if not exist %G6%\wm%s%M.dat goto error2
if not exist %G6%\ch%s%M.dat goto error3
if not exist %G6%\wm%s%M.idx goto error5
if not exist %G6%\ch%s%M.idx goto error6
xcopy %G6%\??%s%M.* %G1%\
echo Please insert the diskette with VERIFICATION data for cluster %s%
pause
if not exist %G6%\hh%s%v.dat goto error1v
if not exist %G6%\wm%s%v.dat goto error2v
if not exist %G6%\ch%s%v.dat goto error3v
if not exist %G6%\hh%s%v.idx goto error4v
if not exist %G6%\wm%s%v.idx goto error5v
if not exist %G6%\ch%s%v.idx goto error6v
del compar.dif
excompar comphh micshh=%G1%\HH%s%M.DAT $reffile=%G6%\HH%s%V.DAT
excompar compwm micswm=%G1%\WM%s%M.DAT $reffile=%G6%\WM%s%V.DAT
excompar compch micsch=%G1%\CH%s%M.DAT $reffile=%G6%\CH%s%V.DAT
copy comphh.dif +compwm.dif+compch.dif compar.dif
if not exist compar.dif goto VER2
list compar.dif
del %G1%\??%s%M.*
goto %goback%

:VER2
cls
echo There are no differences between the files. Please backup the Raw Data
pause
goto %goback%

:error1c
echo Error copying files for cluster %s%
pause
goto %goback%

rem Backup raw data after verification
rem -----------
:BACKRAW
if not exist %G1%\HH%s%M.dat goto BACKERR
if not exist %G1%\WM%s%M.dat goto BACKERR
if not exist %G1%\CH%s%M.dat goto BACKERR
xcopy %G1%\??%s%M.* %G3%\??%s%M.*
if not exist %G3%\HH%s%M.dat goto BACKERR2
if not exist %G3%\WM%s%M.dat goto BACKERR2
if not exist %G3%\CH%s%M.dat goto BACKERR2
goto %goback%

:BACKERR
echo Some or all data files for cluster %s% are not present in the RAW directory.
echo Please copy them there so they can be backed up.
Pause
goto %goback%

:BACKERR2
echo Some or all data files for cluster %s% are not present in the BACKUP directory.
echo Please check for write errors.
Pause
goto %goback%

rem Modify data
rem -----------
:MODIFY
if not exist %G1%\HH%s%M.DAT goto  ERROR1
if not exist %G1%\HH%s%M.IDX goto  ERROR4
if not exist %G1%\WM%s%M.DAT goto  ERROR2
if not exist %G1%\WM%s%M.IDX goto  ERROR5
if not exist %G1%\CH%s%M.DAT goto  ERROR3
if not exist %G1%\CH%s%M.IDX goto  ERROR6
cd %G5%\entry
echo MICSHH=%G1%\HH%s%M.DAT > MICSDE.PIF
echo MICSWM=%G1%\WM%s%M.DAT >>MICSDE.PIF
echo MICSCH=%G1%\CH%s%M.DAT >>MICSDE.PIF
EXENTRY MICSDE $mode=update $parm=%s%
cd %G5%\super
CLS
echo You should run secondary edits again for this cluster
pause
goto %goback%

:EDITS
rem Secondary Edits
rem ---------------
del editing.lst
if not exist %G1%\HH%s%M.dat goto ERROR1
if not exist %G1%\WM%s%M.dat goto ERROR2
if not exist %G1%\CH%s%M.dat goto ERROR3
if not exist %G1%\WM%s%M.IDX goto ERROR5
if not exist %G1%\CH%s%M.IDX goto ERROR6
exbatch editing MICSHH=%G1%\HH%s%M.DAT MICSwm=%G1%\WM%s%M.DAT MICSCH=%G1%\CH%s%M.DAT
list editing.lst
goto %goback%

rem Backup a cluster
rem ----------------
:BACKUP
if not exist %G1%\HH%s%m.dat goto BACKERF
if not exist %G1%\WM%s%m.dat goto BACKERF
if not exist %G1%\CH%s%m.dat goto BACKERF
xcopy %G1%\??%s%M.* %G2%\??%s%M.*
if not exist %G2%\HH%s%m.dat goto BACKERF2
if not exist %G2%\WM%s%m.dat goto BACKERF2
if not exist %G2%\CH%s%m.dat goto BACKERF2
goto %goback%

:BACKERF
echo Some or all data files for cluster %s% are not present in the RAW directory.
echo Please copy them there so they can be backed up.
Pause
goto %goback%

:BACKERF2
echo Some or all data files for cluster %s% are not present in the FINAL directory.
echo Please check for write errors.
Pause
goto %goback%

:error2
cls
echo Some or all of the data files are missing for cluster %s%
echo Please check and select Backup again.
pause
goto %goback%

rem Select a new cluster number
rem ---------------------------
:NEW
set temps=%s%
%G5%\setcheck set s *
if !%s%==! set s=%temps%
if %s%==%temps% goto %goback%
goto %goback%

:error1
cls
echo No main household data files exist for cluster %s%.
pause
goto %goback%

:error2
cls
echo No main women's data files exist for cluster %s%.
pause
goto %goback%

:error3
cls
echo No main children's data files exist for cluster %s%.
pause
goto %goback%

:error4
cls
echo No main household index files exist for cluster %s%.
pause
goto %goback%

:error5
cls
echo No main women's index files exist for cluster %s%.
pause
goto %goback%

:error6
cls
echo No main children's index files exist for cluster %s%.
pause
goto %goback%

:error1v
cls
echo No verification household data files exist for cluster %s%.
pause
goto %goback%

:error2v
cls
echo No verification women's data files exist for cluster %s%.
pause
goto %goback%

:error3v
cls
echo No verification children's data files exist for cluster %s%.
pause
goto %goback%

:error4v
cls
echo No verification household index files exist for cluster %s%.
pause
goto %goback%

:error5v
cls
echo No verification women's index files exist for cluster %s%.
pause
goto %goback%

:error6v
cls
echo No verification children's index files exist for cluster %s%.
pause
goto %goback%

:END
cls
set s=
set options=
cd %G5%
set G1=
set G2=
set G3=
set G5=
set G6=
cls
